Package org.opensaml.saml.saml2.assertion.impl

# Class AssertionValidationSupport

java.lang.Object
org.opensaml.saml.saml2.assertion.impl.AssertionValidationSupport

public final class AssertionValidationSupport extends Object
Support methods for assertion validation.

## Field Summary

Fields
Modifier and Type
Field
Description
`private static final org.slf4j.Logger`
`LOG`
Logger.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`AssertionValidationSupport()`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`static ValidationResult`
`checkAddress(ValidationContext context, String address, String validAddressesParam, Assertion assertion, String description)`
Check an address from an assertion using valid values obtained from the validation context.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### LOG

@Nonnull private static final org.slf4j.Logger LOG
Logger.

## Constructor Details

### AssertionValidationSupport

private AssertionValidationSupport()
Constructor.

## Method Details

### checkAddress

@Nonnull public static ValidationResult checkAddress(@Nonnull ValidationContext context, @Nullable String address, @Nonnull String validAddressesParam, @Nonnull Assertion assertion, @Nonnull String description)
Check an address from an assertion using valid values obtained from the validation context.

Parameters:
  `context` - the validation context
  `address` - the address to be evaluated
  `validAddressesParam` - the name of the context parameter holding the set of valid addresses
  `assertion` - the assertion which is the context for evaluation
  `description` - a brief description string used in logging messages
Returns:
  the validation result